Package org.apache.sysds.resource.enumeration

# Enum Class Enumerator.EnumerationStrategy

java.lang.Object
java.lang.Enum<Enumerator.EnumerationStrategy>
org.apache.sysds.resource.enumeration.Enumerator.EnumerationStrategy

All Implemented Interfaces:
  `Serializable`, `Comparable<Enumerator.EnumerationStrategy>`, `Constable`

Enclosing class:
  Enumerator

public static enum Enumerator.EnumerationStrategy extends Enum<Enumerator.EnumerationStrategy>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`GridBased`
`InterestBased`
`PruneBased`

## Method Summary

Modifier and Type
Method
Description
`static Enumerator.EnumerationStrategy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Enumerator.EnumerationStrategy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GridBased

public static final Enumerator.EnumerationStrategy GridBased

### InterestBased

public static final Enumerator.EnumerationStrategy InterestBased

### PruneBased

public static final Enumerator.EnumerationStrategy PruneBased

## Method Details

### values

public static Enumerator.EnumerationStrategy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Enumerator.EnumerationStrategy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null